### Enumeration

# Gimp GradientSegmentType

unstable since: 3.0

#### Declaration

    enum Gimp.GradientSegmentType

#### Description [src]

Transition functions for gradient segments.

Available since: 3.0

#### Members

`GIMP_GRADIENT_SEGMENT_LINEAR`

  Linear.

  - Value: `0`
  - Nickname: `linear`
  - Available since: 3.0
`GIMP_GRADIENT_SEGMENT_CURVED`

  Curved.

  - Value: `1`
  - Nickname: `curved`
  - Available since: 3.0
`GIMP_GRADIENT_SEGMENT_SINE`

  Sinusoidal.

  - Value: `2`
  - Nickname: `sine`
  - Available since: 3.0
`GIMP_GRADIENT_SEGMENT_SPHERE_INCREASING`

  Spherical (increasing)

  - Value: `3`
  - Nickname: `sphere-increasing`
  - Available since: 3.0
`GIMP_GRADIENT_SEGMENT_SPHERE_DECREASING`

  Spherical (decreasing)

  - Value: `4`
  - Nickname: `sphere-decreasing`
  - Available since: 3.0
`GIMP_GRADIENT_SEGMENT_STEP`

  Step.

  - Value: `5`
  - Nickname: `step`
  - Available since: 3.0